#-----------------------------------------------------------------------------
#
# ICETConfig.cmake - IceT CMake configuration file for external projects.
#
# This file is configured by IceT and used by the UseICET.cmake module
# to load IceT's settings for an external project.
#
## Copyright 2003 Sandia Coporation
## Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive
## license for use of this work by or on behalf of the U.S. Government.
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that this Notice and any statement
## of authorship are reproduced on all copies.
#
# $Id: ICETConfig.cmake.in,v 1.3 2007/02/22 18:25:27 kmorel Exp $
#

# The IceT include file directories.
SET(ICET_INCLUDE_DIRS "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/include")

# The IceT library directories.
SET(ICET_LIBRARY_DIRS "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib")

# The C and C++ flags added by IceT to the cmake-configured flags.
SET(ICET_REQUIRED_C_FLAGS "")
SET(ICET_REQUIRED_CXX_FLAGS "")

# The IceT version number
SET(ICET_MAJOR_VERSION "0")
SET(ICET_MINOR_VERSION "5")
SET(ICET_PATCH_VERSION "3")

# The location of the UseICET.cmake file.
SET(ICET_USE_FILE "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib/UseICET.cmake")

# The build settings file.
SET(ICET_BUILD_SETTINGS_FILE "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib/ICETBuildSettings.cmake")

# The IceT libraries
SET(ICET_CORE_LIBS "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib/libicet.a" "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib/libicet_strategies.a")
SET(ICET_MPI_LIBS "/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib/libicet_mpi.a")

# MPI configuration used to build IceT.
SET(ICET_MPI_INCLUDE_PATH "/home/tfogal/sw/include")
SET(ICET_MPI_LIBRARY "/home/tfogal/sw/lib/libmpi.so")
SET(ICET_MPI_EXTRA_LIBRARY "")
SET(ICET_MPIRUN_EXE "")
SET(ICET_MPI_MAX_NUMPROCS "")
SET(ICET_MPI_PREFLAGS "")
SET(ICET_MPI_POSTFLAGS "")

# Other IceT configuration options.
SET(ICET_BUILD_SHARED_LIBS "OFF")
SET(ICET_BUILD_TESTING "OFF")

# The ICET library dependencies.
IF(NOT ICET_NO_LIBRARY_DEPENDS)
  INCLUDE("/home/tfogal/dev/multi-gpu/vr/deps/hc/../visit/icet/0.5.4/blah/lib/ICETLibraryDepends.cmake")
ENDIF(NOT ICET_NO_LIBRARY_DEPENDS)

