#include "paic-collab.h"

/** keeps track of the state of data as per this node's view. */
struct hcMap {
    uint64_t ready; /* 1 if the render is complete */
    uint64_t composed; /* 1 when contribution from node already added locally */
};

static struct hcMap collaborators = {0,0};

G_GNUC_PURE gboolean IS_READY(uint64_t idx)
{
    return collaborators.ready & (1ULL << idx);
}
G_GNUC_PURE void SET_READY(uint64_t idx)
{
    collaborators.ready |= (1ULL << idx);
}
G_GNUC_PURE gboolean IS_SUMMED(uint64_t idx)
{
    return collaborators.composed & (1ULL << idx);
}
G_GNUC_PURE void SET_SUM(uint64_t idx)
{
    collaborators.composed |= (1ULL << idx);
}
