/**
 * \file draw.c
 * \brief draws geometry so we have something to readback.
 * \author Thomas Fogal
 * \date 2007-08-21
 */
#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include "draw.h"
#include <GL/gl.h>

static void
unit_quad()
{
    glBegin(GL_QUADS);
        glVertex3f(0.0f, 0.0f, 0.0f);
        glVertex3f(1.0f, 0.0f, 0.0f);
        glVertex3f(1.0f, 1.0f, 0.0f);
        glVertex3f(0.0f, 1.0f, 0.0f);
    glEnd();
}

static GLfloat col_array[8][3] = {
    {0.0f, 0.0f, 0.0f},
    {0.0f, 0.0f, 1.0f},
    {0.0f, 1.0f, 0.0f},
    {0.0f, 1.0f, 1.0f},
    {1.0f, 0.0f, 0.0f},
    {1.0f, 0.0f, 1.0f},
    {1.0f, 1.0f, 0.0f},
    {1.0f, 1.0f, 1.0f}
};

void
draw()
{
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

    glPushMatrix();
    glTranslatef(-3, -3, 0.0);
    for(int i=0; i < 8; ++i) {
        glPushMatrix();
            glColor3fv(col_array[i]);
            glScalef(7.0f, 4.0f, 1.0f);
            glTranslatef(0, i/3.0, i/4.0);
            unit_quad();
        glPopMatrix();
    }
    glPopMatrix();
    glFlush();
}
