/**
 * \file geom.c
 * \brief Generates a bit of OpenGL geometry.
 * \author Thomas Fogal
 * \date 2007-08-20
 */
#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <err.h>
#include <inttypes.h>
#include <stdint.h>
#include <stdio.h>

#include "draw.h"
#include "hc.h"
#include "l_mpi.h"
#include "ogl.h"
#include "ogl-surf.h"
#include "rb_time.h"
#include "util.h"

const size_t iterations = 256;

int main(int argc, char *argv[])
{
    struct gl_draw_fqn d_fqn;

    mpi_init(argc, argv);
    atexit(mpi_deinit);

    uint64_t w=640, h=480;
    /** HACK { */
    if(argc >= 3) {
        w = str_to_uint(argv[1]);
        h = str_to_uint(argv[2]);
    }
    /** } HACK */
    ogl_ctx_init(w, h);
    ogl_init(w, h, 240.0);

    d_fqn.gl_draw = draw;
    d_fqn.width = w;
    d_fqn.height = h;

    hc_init();
    hc_render(&d_fqn);
    hc_deinit();
    ogl_ctx_deinit();

    return 0;
}
