/**
 * \file ogl-surf.c
 * \brief Current implementation is a Mesa offscreen window
 * \author Tom Fogal
 * \date 2008-07-06
 */
#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <err.h>
#include <stdlib.h>

#include <GL/osmesa.h>
#include <glib.h>

#include "ogl-surf.h"

static OSMesaContext os_ctx;
static void *img_buffer;

void
ogl_ctx_init(guint64 w, guint64 h)
{
    os_ctx = OSMesaCreateContext(GL_RGBA, NULL);

    img_buffer = g_malloc(sizeof(unsigned int)*w*h);

    if(OSMesaMakeCurrent(os_ctx, img_buffer, GL_UNSIGNED_BYTE, w, h)
       != GL_TRUE) {
        errx(EXIT_FAILURE, "Error initializing OSMesa");
    }
}

void *hack() { return img_buffer; }

void
ogl_ctx_deinit()
{
    OSMesaDestroyContext(os_ctx);
    g_free(img_buffer);
}
