/**
 * \file ogl.c
 * \brief
 * \author Tom Fogal
 * \date 2007-08-21
 */
#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <GL/gl_mangle.h>
#include <GL/glu_mangle.h>
#include <GL/glu.h>

#include "ogl.h"

static GLdouble o_width;
static GLdouble o_height;

void
ogl_init(GLdouble width, GLdouble height, GLdouble depth)
{
    GL(glViewport(0, 0, (GLsizei)width, (GLsizei)height));

    GL(glMatrixMode(GL_MODELVIEW));
    GL(glLoadIdentity());
    GL(glMatrixMode(GL_PROJECTION));
    GL(glLoadIdentity());

    GL(glFrustum(-0.5,0.5, -0.5,0.5, 0.1, depth));

    GL(glMatrixMode(GL_MODELVIEW));

    GL(glEnable(GL_DEPTH_TEST));
    GL(glClearColor(0.1, 0.1, 0.4, 1.0));

    {
        GLdouble eye[3] = {0.0, 0.0,-1.0};
        GLdouble ref[3] = {0.0, 0.0, 0.0};
        GLdouble vup[3] = {0.0, 1.0, 0.0};
        GL(gluLookAt(eye[0],eye[1],eye[2],
                     ref[0],ref[1],ref[2],
                     vup[0],vup[1],vup[2]));
    }

    o_width = width;
    o_height = height;
}

void ogl_destroy()
{
    /* nop ... */
}

GLdouble ogl_width() { return o_width; }
GLdouble ogl_height() { return o_height; }
