/**
 * \file ogl.h
 * \brief driver for OpenGL init/destruction
 * \author Thomas Fogal
 * \date 2007-08-20
 */
#ifndef RB_OGL_H
#define RB_OGL_H

#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <stdio.h>
#include <GL/gl_mangle.h>
#include <GL/gl.h>

void ogl_init(GLdouble width, GLdouble height, GLdouble depth);
void ogl_destroy();

/** state query information. */
GLdouble ogl_width();
GLdouble ogl_height();

#define GL(x)                                        \
    {                                                \
        GLenum _internal_error_checker;              \
        x;                                           \
        _internal_error_checker = glGetError();      \
        if(_internal_error_checker != GL_NO_ERROR) { \
            printf("Error executing "#x"\n");        \
        }                                            \
    }

#endif /* RB_OGL_H */
