/**
 * \file rb_time.h
 * \brief high resolution timing information.
 * \author Thomas Fogal
 * \date 2007-08-20
 */
#ifndef RB_TIME_H
#define RB_TIME_H

#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <stdint.h>
#include <glib.h>

__attribute__((always_inline)) uint64_t
rdtsc()
{
    uint32_t lo, hi;
    /* cpuid serializes the rdtsc */
    __asm__ __volatile__ (
        "rdtscp\n"
        : "=a" (lo), "=d" (hi)
        : /* no inputs */
        : "%ebx", "%ecx"
    );
    return (uint64_t) hi << 32 | lo;
}

#endif /* RB_TIME_H */
