/**
 * \file readback.c
 * \brief reads back the GL frame buffer
 * \author Thomas Fogal
 * \date 2007-08-21
 */

#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <glib.h>

#include "ogl.h"
#include "util.h"

static void simple_readback();
static GLvoid *pixels = NULL;

void
rb_init(GLsizei w, GLsizei h)
{
    pixels = g_malloc(sizeof(GLfloat) * w * h);
}

void
readback()
{
    simple_readback();
}

static void
simple_readback()
{
    GLsizei width, height;

    width = (GLsizei) ogl_width();
    height = (GLsizei) ogl_height();

    {
        GL(glReadBuffer(GL_FRONT));
        GL(glReadPixels(0, 0, width, height, GL_RGB, GL_FLOAT, pixels));
    }
}
